[arch-commits] Commit in poppler/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Mar 5 11:09:12 EST 2010


    Date: Friday, March 5, 2010 @ 11:09:12
  Author: jgc
Revision: 71240

upgpkg: poppler 0.12.4-1
Update to 0.12.4 - remove poppler-qt3 package, nothing needs this anymore. Add conflict to make sure pacman will not run into a dependency trap

Modified:
  poppler/trunk/PKGBUILD

----------+
 PKGBUILD |   37 ++++++++++++-------------------------
 1 file changed, 12 insertions(+), 25 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-05 16:00:33 UTC (rev 71239)
+++ PKGBUILD	2010-03-05 16:09:12 UTC (rev 71240)
@@ -2,16 +2,16 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgbase=poppler
-pkgname=('poppler' 'poppler-glib' 'poppler-qt' 'poppler-qt3')
-pkgver=0.12.3
+pkgname=('poppler' 'poppler-glib' 'poppler-qt')
+pkgver=0.12.4
 pkgrel=1
 arch=(i686 x86_64)
 license=('GPL')
-makedepends=('libjpeg>=8' 'gcc-libs>=4.4.2' 'cairo>=1.8.8-2' 'libxml2>=2.7.6' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'gtk2>=2.18.6' 'qt>=4.5.3' 'qt3>=3.3.8' 'pkgconfig' 'lcms')
+makedepends=('libjpeg>=8' 'gcc-libs>=4.4.3' 'cairo>=1.8.10' 'libxml2>=2.7.6' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'gtk2>=2.18.7' 'qt>=4.6.2' 'pkgconfig' 'lcms>=1.18')
 options=('!libtool')
 url="http://poppler.freedesktop.org/"
 source=(http://poppler.freedesktop.org/${pkgname}-${pkgver}.tar.gz)
-md5sums=('d0ca8344d8d94e27aaba6d432688365d')
+md5sums=('4155346f9369b192569ce9184ff73e43')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
@@ -21,29 +21,29 @@
       --enable-xpdf-headers \
       --enable-libjpeg --enable-zlib \
       --enable-poppler-qt4 \
-      --enable-poppler-glib \
-      --enable-poppler-qt || return 1
+      --enable-poppler-glib || return 1
   make || return 1
 }
 
 package_poppler() {
   pkgdesc="PDF rendering library based on xpdf 3.0"
-  depends=('libjpeg>=8' 'gcc-libs>=4.4.2' 'cairo>=1.8.8-2' 'libxml2>=2.7.6' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'lcms')
+  depends=('libjpeg>=8' 'gcc-libs>=4.4.3' 'cairo>=1.8.10' 'libxml2>=2.7.6' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'lcms>=1.18')
   optdepends=('poppler-data')
+  conflicts=("poppler-qt3<${pkgver}")
 
   cd "${srcdir}/${pkgbase}-${pkgver}"
   make DESTDIR="${pkgdir}" install || return 1
 
-  rm -rf "${pkgdir}"/usr/include/poppler/{glib,qt3,qt4}
-  rm -f "${pkgdir}"/usr/lib/libpoppler-{glib,qt,qt4}.so*
-  rm -f "${pkgdir}"/usr/lib/pkgconfig/poppler-{glib,qt,qt4}.pc
+  rm -rf "${pkgdir}"/usr/include/poppler/{glib,qt4}
+  rm -f "${pkgdir}"/usr/lib/libpoppler-{glib,qt4}.so*
+  rm -f "${pkgdir}"/usr/lib/pkgconfig/poppler-{glib,qt4}.pc
   rm -rf "${pkgdir}/usr/share/gtk-doc"
 }
 
 
 package_poppler-glib() {
   pkgdesc="Poppler glib bindings"
-  depends=("poppler=${pkgver}" 'gtk2>=2.18.6')
+  depends=("poppler=${pkgver}" 'gtk2>=2.18.7')
 
   cd "${srcdir}/${pkgbase}-${pkgver}/poppler"
   make DESTDIR="${pkgdir}" install-libLTLIBRARIES || return 1
@@ -54,22 +54,9 @@
   rm -f "${pkgdir}"/usr/lib/libpoppler.*
 }
 
-package_poppler-qt3() {
-  pkgdesc="Poppler Qt3 bindings"
-  depends=("poppler=${pkgver}" 'qt3>=3.3.8')
-
-  cd "${srcdir}/${pkgbase}-${pkgver}/poppler"
-  make DESTDIR="${pkgdir}" install-libLTLIBRARIES || return 1
-  cd "${srcdir}/${pkgbase}-${pkgver}/qt"
-  make DESTDIR="${pkgdir}" install || return 1
-  install -m755 -d "${pkgdir}/usr/lib/pkgconfig"
-  install -m644 ../poppler-qt.pc "${pkgdir}/usr/lib/pkgconfig/" || return 1
-  rm -f "${pkgdir}"/usr/lib/libpoppler.*
-}
-
 package_poppler-qt() {
   pkgdesc="Poppler Qt bindings"
-  depends=("poppler=${pkgver}" 'qt>=4.5.3')
+  depends=("poppler=${pkgver}" 'qt>=4.6.2')
 
   cd "${srcdir}/${pkgbase}-${pkgver}/poppler"
   make DESTDIR="${pkgdir}" install-libLTLIBRARIES || return 1



More information about the arch-commits mailing list